
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileHyperAxisMethodAttributes.h
    \brief Definition of HyperAxisMethod Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef HyperAxisMethodWrapper_H
#define HyperAxisMethodWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "AxisMethod.h"



#include "AxisMethodWrapper.h"








namespace magics {

class MagRequest;


class HyperAxisMethodWrapper: public AxisMethodWrapper

{
public:
//  --  constructor
    HyperAxisMethodWrapper();
    HyperAxisMethodWrapper(HyperAxisMethod*);
//  --  destructor
    virtual ~HyperAxisMethodWrapper();
    virtual void set(const MagRequest&);

    HyperAxisMethod* me()   { return hyperaxismethod_; }

   	virtual HyperAxisMethod* object() { return hyperaxismethod_; }


	virtual void object(HyperAxisMethod* o) {
		// Remember to delete the previous object
		hyperaxismethod_ = o;
		AxisMethodWrapper::object(o);
		

	}



protected:
    HyperAxisMethod* hyperaxismethod_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const HyperAxisMethodWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif